Backup issue

05 Apr 2015 13:45 - Andriy Lesyuk

Status: Closed Start date: 05 Apr 2015

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

For a long time my OwnDrive based backup system does not work. See #754844

History

#1 - 05 Apr 2015 13:47 - Andriy Lesyuk

Updated logs:

$ /bin/su - sync -s /bin/sh -c "/usr/bin/owncloudcmd /etc/postfix ownclouds://s-andy:*********@my.owndrive.com

/remote.php/webdav/Configuration/Postfix" 

[04/05 13:41:21.503407, 6] csync_config_parse_file:  config file /bin/.ocsync/ocsync.conf not found, checking 

/bin/.ocsync/ocsync.conf

[04/05 13:41:21.503610, 9] _csync_config_copy_default:  Copy /etc/config/ocsync.conf to /bin/.ocsync/ocsync.co

nf

[04/05 13:41:21.503659, 5] csync_init:  Could not load config file /bin/.ocsync/ocsync.conf, using defaults.

[04/05 13:41:21.503746, 5] csync_init:  Could not load /etc/ocsync/ocsync_exclude.conf - 

[04/05 13:41:21.503817, 7] csync_init:  Could not load /bin/.ocsync/ocsync_exclude.conf - 

[04/05 13:41:21.503952, 9] csync_vio_init:  capabilities: atomar copy support: yes

[04/05 13:41:21.503990, 9] csync_vio_init:  capabilities: post copy stat: no

[04/05 13:41:21.504018, 9] csync_vio_init:  capabilities: time sync required: no

[04/05 13:41:21.504046, 9] csync_vio_init:  capabilities: unix extensions: 0

[04/05 13:41:21.504073, 9] csync_vio_init:  capabilities: use send_file: yes

[04/05 13:41:21.504120, 9] csync_vio_init:  capabilities: get support: no

[04/05 13:41:21.504149, 9] csync_vio_init:  capabilities: put support: no

[04/05 13:41:21.504188, 9] csync_init:  Module does not need time synchronization.

04-05 13:41:21:504 void Mirall::CSyncThread::startSync() Sync started 

04-05 13:41:21:505 starting to sync  QThread(0x1dfd360) QThread(0x1dfd360) 

04-05 13:41:21:505 Loading config:  "/bin/.local/share/data//ownCloud/owncloud.cfg"  (URL is  "" ) 

04-05 13:41:21:505 =====sync looks new (no DB exists), activating recursive PROPFIND if csync supports it 

04-05 13:41:21:505 void Mirall::CSyncThread::startSync() No default Account object, huh? 

04-05 13:41:21:506 #### Update start #################################################### >> 

04-05 13:41:21:506 csync_update: Journal: /etc/postfix/.csync_journal.db

04-05 13:41:21:508 csync_statedb_load: statedb doesn't exist

04-05 13:41:21:509 csync_memstat_check: Memory: 199172K total size, 16276K resident, 12792K shared

04-05 13:41:21:510 csync_ftw: Uniq ID from Database: sasl -> <NULL>

04-05 13:41:21:510 csync_walker: directory: /etc/postfix/sasl

04-05 13:41:21:510 _csync_detect_update: ==> file: sasl - hash 4872316591039852956, mtime: 1362589440, fileId:

 

04-05 13:41:21:510 _csync_detect_update: file: sasl, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:510 csync_ftw:  <= Closing walk for /etc/postfix/sasl with read_from_db 0

04-05 13:41:21:510 csync_ftw: Uniq ID from Database: post-install -> <NULL>

04-05 13:41:21:511 csync_walker: file: /etc/postfix/post-install

04-05 13:41:21:511 _csync_detect_update: ==> file: post-install - hash 889224213197788115, mtime: 1362589440, 

fileId: 

04-05 13:41:21:511 _csync_detect_update: file: post-install, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:511 csync_ftw: Uniq ID from Database: postfix-files -> <NULL>

04-05 13:41:21:511 csync_walker: file: /etc/postfix/postfix-files

04-05 13:41:21:511 _csync_detect_update: ==> file: postfix-files - hash 11302451058266284894, mtime: 136258944

0, fileId: 

04-05 13:41:21:511 _csync_detect_update: file: postfix-files, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:511 csync_ftw: Uniq ID from Database: dynamicmaps.cf -> <NULL>

04-05 13:41:21:512 csync_walker: file: /etc/postfix/dynamicmaps.cf

04-05 13:41:21:512 _csync_detect_update: ==> file: dynamicmaps.cf - hash 3653033282434016761, mtime: 140417089

7, fileId: 

04-05 13:41:21:512 _csync_detect_update: file: dynamicmaps.cf, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:512 csync_ftw: Uniq ID from Database: postfix-script -> <NULL>

04-05 13:41:21:512 csync_walker: file: /etc/postfix/postfix-script

04-05 13:41:21:512 _csync_detect_update: ==> file: postfix-script - hash 2967762953182527130, mtime: 136258944
0, fileId: 

04-05 13:41:21:512 _csync_detect_update: file: postfix-script, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:512 csync_ftw: Uniq ID from Database: master.cf -> <NULL>

04-05 13:41:21:513 csync_walker: file: /etc/postfix/master.cf

04-05 13:41:21:513 _csync_detect_update: ==> file: master.cf - hash 3683048389453455699, mtime: 1404170897, fi

leId: 

04-05 13:41:21:513 _csync_detect_update: file: master.cf, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:513 csync_ftw: Uniq ID from Database: main.cf -> <NULL>

04-05 13:41:21:513 csync_walker: file: /etc/postfix/main.cf

04-05 13:41:21:513 _csync_detect_update: ==> file: main.cf - hash 15763603062311082715, mtime: 1404564403, fil

eId: 

04-05 13:41:21:513 _csync_detect_update: file: main.cf, instruction: INSTRUCTION_NEW <<=

04-05 13:41:21:513 csync_ftw:  <= Closing walk for /etc/postfix with read_from_db 0

04-05 13:41:21:514 csync_update: Update detection for local replica took 0.00 seconds walking 7 files.

04-05 13:41:21:514 csync_memstat_check: Memory: 199256K total size, 16472K resident, 12968K shared

04-05 13:41:21:514 oc_module: opendir method called on ownclouds://s-andy:*********@my.owndrive.com/remote.php

/webdav/Configuration/Postfix

04-05 13:41:21:514 oc_module: * scheme ownclouds

04-05 13:41:21:514 oc_module: * host my.owndrive.com

04-05 13:41:21:514 oc_module: * port 0

04-05 13:41:21:514 oc_module: * path /remote.php/webdav/Configuration/Postfix

04-05 13:41:21:515 oc_module: * user s-andy

04-05 13:41:21:516 oc_module: fetch_resource_list_recursive Starting recursive propfind ownclouds://s-andy:***

******@my.owndrive.com/remote.php/webdav/Configuration/Postfix /remote.php/webdav/Configuration/Postfix

04-05 13:41:21:688 oc_module: Neon error code was 1

04-05 13:41:21:689 oc_module: WRN: propfind named failed with 1, request error: SSL handshake failed: SSL erro

r: ASN1 parser: Element was not found.

04-05 13:41:21:690 oc_module: fill_recursive_propfind_cache /remote.php/webdav/Configuration/Postfix Server ma

ybe did not give us an 'infinity' depth result

04-05 13:41:21:690 oc_module: get_listdir_context_from_recursive_cache No cache

04-05 13:41:21:705 oc_module: Neon error code was 1

04-05 13:41:21:706 oc_module: Neon error code was 1

04-05 13:41:21:706 oc_module: WRN: propfind named failed with 1, request error: SSL handshake failed: SSL erro

r: ASN1 parser: Element was not found.

04-05 13:41:21:706 oc_module: Errno set to 10013

04-05 13:41:21:706 csync_ftw: opendir failed for ownclouds://s-andy:*********@my.owndrive.com/remote.php/webda

v/Configuration/Postfix - Unknown error 10013 (errno 10013)

04-05 13:41:21:707  #### ERROR during  csync_update :  "An internal error number 1060 happend. SSL handshake f

ailed: SSL error: ASN1 parser: Element was not found." 
#2 - 05 Apr 2015 21:15 - Andriy Lesyuk

Looks to be fixed already: https://github.com/owncloud/client/issues/1298

#3 - 08 Apr 2015 00:44 - Andriy Lesyuk

- Description updated

#4 - 11 Apr 2015 12:09 - Andriy Lesyuk

Getting error:

dpkg-buildpackage: пакет исходного кода owncloud-client

dpkg-buildpackage: версия исходного кода 1.5.0+dfsg-4~bpo70+1

dpkg-buildpackage: дистрибутив исходного кода wheezy-backports

dpkg-buildpackage: исходный код изменён Mike Gabriel <sunweaver@debian.org>

dpkg-buildpackage: архитектура узла amd64

 dpkg-source --before-build owncloud-client_1.5.0+dfsg-4~bpo70+2

dpkg-source: инфо: накладывается 0001-disable-updatecheck.patch

dpkg-source: инфо: накладывается 0002-create-manpage.patch

dpkg-source: инфо: накладывается 0003-respect-the-XDG_CONFIG_HOME-env-variable.patch

dpkg-checkbuilddeps: Неудовлетворённые сборочные зависимости: libocsync-dev (>= 0.91.4)

dpkg-buildpackage: предупреждение: неудовлетворительные зависимости/конфликты при сборке; прерываемся

dpkg-buildpackage: предупреждение: (Используйте параметр -d, чтобы продолжить сборку.)

 

Using the guide: https://www.debian.org/doc/manuals/maint-guide/build.en.html

#5 - 11 Apr 2015 12:34 - Andriy Lesyuk

With -d:

dpkg-buildpackage: пакет исходного кода owncloud-client

dpkg-buildpackage: версия исходного кода 1.5.0+dfsg-4~bpo70+2

dpkg-buildpackage: дистрибутив исходного кода wheezy-backports

dpkg-buildpackage: исходный код изменён Andriy Lesyuk <s-andy@andriylesyuk.com>

dpkg-buildpackage: архитектура узла amd64

 dpkg-source --before-build owncloud-client_1.5.0+dfsg-4~bpo70+2

dpkg-source: инфо: накладывается 0004-neon-initialization.patch

 fakeroot debian/rules clean

dh clean --parallel --with sphinxdoc --with pkgkde_symbolshelper

   dh_testdir -O--parallel

   dh_auto_clean -O--parallel

   dh_clean -O--parallel

 dpkg-source -b owncloud-client_1.5.0+dfsg-4~bpo70+2

dpkg-source: инфо: используется формат исходника «3.0 (quilt)»

dpkg-source: инфо: сборка owncloud-client с использованием существующего ./owncloud-client_1.5.0+dfsg.orig.tar

.bz2

dpkg-source: инфо: сборка owncloud-client в owncloud-client_1.5.0+dfsg-4~bpo70+2.debian.tar.xz

dpkg-source: инфо: сборка owncloud-client в owncloud-client_1.5.0+dfsg-4~bpo70+2.dsc

 debian/rules build

dh build-indep --parallel --with sphinxdoc --with pkgkde_symbolshelper                                        

                                                                                       

   dh_testdir -i -O--parallel                                                                                 
   debian/rules override_dh_auto_configure-indep                                                              

                                                                                       

make[1]: вход в каталог «/home/s-andy/Develop/OwnCloud/owncloud-client_1.5.0+dfsg-4~bpo70+2»                  

                                                                                       

dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DWITH_DOC=ON -DUNIT_TESTING=ON                              

                                                                                       

-- The C compiler identification is GNU 4.9.2                                                                 

                                                                                       

-- The CXX compiler identification is GNU 4.9.2                                                               

                                                                                       

-- Check for working C compiler: /usr/bin/cc                                                                  

                                                                                       

-- Check for working C compiler: /usr/bin/cc -- works                                                         

                                                                                       

-- Detecting C compiler ABI info                                                                              

                                                                                       

-- Detecting C compiler ABI info - done                                                                       

                                                                                       

-- Check for working CXX compiler: /usr/bin/c++                                                               

                                                                                       

-- Check for working CXX compiler: /usr/bin/c++ -- works                                                      

                                                                                       

-- Detecting CXX compiler ABI info                                                                            

                                                                                       

-- Detecting CXX compiler ABI info - done                                                                     

                                                                                       

-- Could not find Qt5, searching for Qt4 instead...                                                           

                                                                                       

-- Looking for Q_WS_X11                                                                                       

                                                                                       

-- Looking for Q_WS_X11 - found                                                                               

                                                                                       

-- Looking for Q_WS_WIN                                                                                       

                                                                                       

-- Looking for Q_WS_WIN - not found                                                                           

                                                                                       

-- Looking for Q_WS_QWS                                                                                       

                                                                                       

-- Looking for Q_WS_QWS - not found                                                                           

                                                                                       

-- Looking for Q_WS_MAC                                                                                       

                                                                                       

-- Looking for Q_WS_MAC - not found                                                                           

                                                                                       

-- Found Qt4: /usr/bin/qmake (found suitable version "4.8.6", minimum required is "4.7.0")                    

                                                                                       

58035a2f4a3100b824597d8d490801845bbd22f9                                                                      

                                                                                       

-- Found PkgConfig: /usr/bin/pkg-config (found version "0.28")                                                

                                                                                       

-- checking for module 'neon'                                                                                 

                                                                                       

--   found neon, version 0.30.1                                                                               

                                                                                       

-- Found Neon: /usr/lib/libneon.so                                                                            

                                                                                       

-- neon-config executable: /usr/bin/neon-config                                                               

                                                                                       

-- libneon has not been compiled with LFS support, rely on OS                                                 

                                                                                       

CMake Error at /usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:136 (message):                

                                                                                       

  Could NOT find Csync (missing: CSYNC_LIBRARY CSYNC_INCLUDE_PATH)                                            

                                                                                       

Call Stack (most recent call first):                                                                          

                                                                                       

  /usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:343 (_FPHSA_FAILURE_MESSAGE)               

                                                                                       

  cmake/modules/FindCsync.cmake:26 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)                                        

                                                                                       

  CMakeLists.txt:79 (find_package)

-- Configuring incomplete, errors occurred!

See also "/home/s-andy/Develop/OwnCloud/owncloud-client_1.5.0+dfsg-4~bpo70+2/obj-x86_64-linux-gnu/CMakeFiles/C
MakeOutput.log".

See also "/home/s-andy/Develop/OwnCloud/owncloud-client_1.5.0+dfsg-4~bpo70+2/obj-x86_64-linux-gnu/CMakeFiles/C

MakeError.log".

dh_auto_configure: cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=None -D

CMAKE_INSTALL_PREFIX=/usr -DWITH_DOC=ON -DUNIT_TESTING=ON returned exit code 1

debian/rules:19: ошибка выполнения рецепта для цели «override_dh_auto_configure-indep»

make[1]: *** [override_dh_auto_configure-indep] Ошибка 2

make[1]: выход из каталога «/home/s-andy/Develop/OwnCloud/owncloud-client_1.5.0+dfsg-4~bpo70+2»

debian/rules:7: ошибка выполнения рецепта для цели «build-indep»

make: *** [build-indep] Ошибка 2

dpkg-buildpackage: ошибка: debian/rules build возвратил код ошибки 2

#6 - 09 Oct 2016 08:12 - Andriy Lesyuk

- % Done changed from 0 to 50

#7 - 10 Oct 2016 15:06 - Andriy Lesyuk

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Powered by TCPDF (www.tcpdf.org)

10 Apr 2024 5/5

http://www.tcpdf.org

